Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetPropertyTag

Direct Known Subclasses:
  GetPropertyAsStringTag

public class GetPropertyTag
extends PropertyTag

Corresponds to `<um:getProperty>`.

The `<um:getProperty>` tag retrieves the property value for a specified property set-property name pair. The tag has no enclosed body. The value returned is a `java.lang.Object`. In typical cases, this tag is used after the `<um:getProfile>` tag is invoked to retrieve a profile for session use. The property to be retrieved is retrieved from the session profile. If the `<um:getProfile>` tag has not been used upon invoking the `<um:getProperty>` tag, the specified property value is retrieved from the Anonymous User Profile. See the User Management documentation for more information.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set from which the property's value is to be retrieved. Example: "Demo Portal" Note: If no property set is provided, the property is retrieved from the profile's default (unscoped) properties.
propertyName | yes | String | The name of the property to be retrieved. Example: "background_color"
id | no | String | If the `id` attribute is supplied, the value of the retrieved property will be available in the variable name to which id is assigned. Otherwise, the value of the property is inlined into the JSP page.

See Also:
  `com.beasys.commerce.user.jsp.tags.GetProfileTag`, `com.beasys.commerce.user.jsp.tags.GetPropertyAsStringTag`, Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetPropertyTag()`

Method Summary
`int` | `doStartTag()` Retrieves the property and sets it in the page scope, or prints it out if no 'id' attribute was set.
`protected java.lang.Object` | `getProperty()` Retrieve the property value from the current profile

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
`getPropertyName, getPropertySet, release, setPropertyName, setPropertySet`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Retrieves the property and sets it in the page scope, or prints it out if no 'id' attribute was set.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getProperty

    protected java.lang.Object getProperty()
                                    throws javax.servlet.jsp.JspException

  Retrieve the property value from the current profile

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved